#!/bin/bash

TDIR="${HOME}/.ICAClient"
TARGET="${HOME}/.ICAClient/wfclient.ini"

function modifyini(){
	# 逆序处理，先处理DriveEnabledK=True的需求
	grep "^DriveEnabledK=" ${TARGET} > /dev/null 2>&1
	if [ $? -ne 0 ];then	# 不存在这一行，填入
		sed -i '/\[WFClient]/a DriveEnabledK=True' ${TARGET}
	else
		grep "^DriveEnabledK=True$" ${TARGET} > /dev/null 2>&1
		if [ $? -ne 0 ];then	# 存在，但东西不对
			sed -i '/DriveEnabledK=/c DriveEnabledK=True' ${TARGET}
		fi
	fi

	#再处理DrivePathK=/的情况
	grep "^DrivePathK=" ${TARGET} > /dev/null 2>&1
	if [ $? -ne 0 ];then	# 不存在这一行，填入
		sed -i '/\[WFClient]/a DrivePathK=\/' ${TARGET}
	else
		grep "^DrivePathK=\/$" ${TARGET} > /dev/null 2>&1
		if [ $? -ne 0 ];then	# 存在，但东西不对
			sed -i '/DrivePathK=/c DrivePathK=\/' ${TARGET}
		fi
	fi
}

if [ ! -f ${TARGET} ];then
	if [ ! -d ${TDIR} ];then
		while true; do
			inotifywait -e create ${HOME}
			if [ -d ${TDIR} ];then
				break
			fi
		done
    fi
	if [ ! -f ${TARGET} ];then
		while true; do
			inotifywait -e create ${TDIR}
			if [ -f ${TARGET} ];then
				break
			fi
		done
	fi
fi

modifyini

# 确认文件已经存在了，进入持续监听
while true; do
	inotifywait -e modify ${TARGET}
	modifyini
done
